package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.util.ChangeWorld;
import eu.mhsl.craftattack.worldmuseum.worlds.World;
import eu.mhsl.craftattack.worldmuseum.worlds.WorldManager;
import net.minestom.server.entity.Player;
import net.minestom.server.event.inventory.InventoryPreClickEvent;
import java.util.Objects;
import java.util.function.Consumer;

public class InventoryClickListener implements Consumer<InventoryPreClickEvent> {
    @Override
    public void accept(InventoryPreClickEvent inventoryPreClickEvent) {
        Player p = inventoryPreClickEvent.getPlayer();
        inventoryPreClickEvent.setCancelled(true);
        WorldManager worldManager = WorldManager.getInstance();
        for (World w : worldManager.getWorlds()) {
            if (!w.getItem().equals(inventoryPreClickEvent.getClickedItem())) continue;
            if (Objects.equals(p.getInstance(), w)) {
                p.closeInventory();
                p.teleport(w.getSpawn());
                return;
            } else {
                p.closeInventory();
                ChangeWorld.change_world(p, w);

                return;
            }
        }
    }
}
