package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.util.CompassManager;
import net.minestom.server.entity.Player;
import net.minestom.server.event.player.PlayerUseItemEvent;
import net.minestom.server.item.ItemStack;
import java.util.function.Consumer;

public class CompassUseListener implements Consumer<PlayerUseItemEvent> {

    @Override
    public void accept(PlayerUseItemEvent playerUseItemEvent) {
        Player p = playerUseItemEvent.getPlayer();
        ItemStack usedItem = playerUseItemEvent.getItemStack();
        CompassManager compassManager = CompassManager.getInstance();

        if (!usedItem.equals(compassManager.getCompass())) return;
        p.openInventory(compassManager.getInventory());
    }
}
